Subject: [Ltru] Registration Forms; have we made it clear which are archived (mostly editorial comments) WAS: Regist

From: CE Whitehead <[email-masked]>
Date: Fri, 22 Feb 2008 14:30:34 -0500

Hi, all,> From: [email-masked]> Hi -> > As co-chair:> > PLEASE MOVE THIS DISCUSSION TO THE WG MAILING LIST.> > Randy
 
Randy, per your request, I have excerpted here (I hope) the essential discussion about registration forms (I feel like I'm overwhelming the list with editorial comments; sorry).
 
--C. E. Whitehead
[email-masked] 
 
> > CE Whitehead wrote:> > >> > >> > > Doug, the only real sections that treat what records get registration> > > forms are a paragraph each basically in 3.1, 3.5, 5.1:
Can we either add,
> > > at the end of 3.1?:> > > "Other subtags will have registration forms on file."> > >> > > and/or modify the first sentence in 5.1 to say,
(assuming that I understand things correctly):> > > " IANA will also archive and make publicly available from> > > "http://www.iana.org/assignments/lang-subtags-templates/" each> > > registration form for all subtags not created by [RFC4645] or> > > [registry-update]."
?? 
From: Addison Phillips ([email-masked])
 
> Forms sent to IANA get archived (i.e. actual registrations... failed > registrations disappear).> Addison
 
We might add a comment to this effect too, to either 3.1 or 5.1:
 
"Forms for failed registrations are not archived."
 
From: Addison Phillips ([email-masked])
 
> Clearly most updates sent to IANA begin with a filled in registration> > form on the ietf-languages list, even for ISO actions.> >> > 3. I agree with Doug that the 7200 new subtags will not have> > registration forms.> >
No subtags created by [RFC4645] or [registry-update] will have registration forms created, apparently according to 3.1. (below):> >
> > > "3.1 > > > The existing registration forms for> > > grandfathered and redundant tags taken from RFC 3066 will be> > > maintained as part of the obsolete RFC 3066 registry. The remaining> > > set of subtags created by either [RFC4645] or [registry-update] will> > > not have registration forms created for them."

--CEW

_______________________________________________
Ltru mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ltru

---

From: Addison Phillips <[email-masked]>
Date: Fri, 22 Feb 2008 13:00:01 -0800

CE Whitehead wrote:
>  
>  > Forms sent to IANA get archived (i.e. actual registrations... failed
>  > registrations disappear).
> 
>  > Addison
>  

I'm not opposed to adding this.

>  
> From: *Addison Phillips* ([email-masked])
>  
>  > Clearly most updates sent to IANA begin with a filled in registration
>  > > form on the ietf-languages list, even for ISO actions.

I think this quote from an email I sent to CEW isn't clear. The question 
was whether ISO 639/3166/15924 actions result in registration forms that 
are archived. It is my opinion, expressed in the quote above and based 
on text in RFC 4646 (and still preserved in our I-D) that the proper 
process has these features:

- submission, typically by the LSR, of a registration form for insertion 
or update of subtags based on ISO actions to the ietf-languages list. 
This form later forms the submission to IANA registering the change

- that from IANA's point of view there is no difference between an 
ISO-instigated change and any other type of change to the registry; thus 
the registration forms must be archived for non-RFC-based registrations

- "registrations" committed by RFC 4645 or draft-4645bis are a special 
case for which no forms are created or archived. This is covered in all 
four relevant RFCs/I-Ds: 4645 4646 4645bis and 4646bis.

I don't think any changes to the I-D are being proposed here; I don't 
think any changes are warranted; and I think that the existing process 
(as described, but not always practiced very rigorously) is a Good Thing.

Addison

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.
Chair -- W3C Internationalization Core WG

Internationalization is an architecture.
It is not a feature.
_______________________________________________
Ltru mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ltru

---

From: CE Whitehead <[email-masked]>
Date: Sat, 23 Feb 2008 13:42:45 -0500

Hi,
Addison, thanks; your reply was very helpful and makes what happens to the archiving of registration forms much clearer;I'd like to see the following change to the draft, section 3.1, > > > "3.1 > > > . . . The remaining> > > set of subtags created by either [RFC4645] or [registry-update] will> > > not have registration forms created for them.">= "The remainingset of subtags created by either [RFC4645] or [registry-update] willnot have registration forms created for them."All other registration forms are archived; except the forms created for failed registrations, which are not archived." If the above is not acceptable to you, then at least insert the following (which you've said you are not opposed to inserting) at the bottom of 3.1,>=Forms created for failed registrations are not archived." { COMMENT:  I did a search through all sections of the bis-11 draft ( http://www.ietf.org/internet-drafts/draft-ietf-ltru-4646bis-11.txt ; sorry, the bis-12 draft was not available on my server today; I do not know where it is), and could find no comments regarding the archiving of failed registration forms. ALSO:what you have explained below, specifically that, > - "from IANA's point of view there is no difference between an > ISO-instigated change and any other type of change to the registry; thus > the registration forms must be archived for non-RFC-based registrations> > - "registrations" committed by RFC 4645 or draft-4645bis are a special > case for which no forms are created or archived." was not clear at all (to me) from the draft. } Thanks, all, andsorry to keep hammering at this. --C. E. [email-masked]    * * *